Batch download content

Batch download multiple files and folders in a specific Data Room.

This API is a Long Request API, meaning the final response must be retrieved via the GET Long Request API. The result is returned in JSON format:

{
  "downloadUrl": <string>
}

You can download the file using the downloadUrl field.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Anduin ID of your Data Room

Body Params
fileIds
array of objects

The list of file to download

fileIds
folderIds
array of objects

The list of folder to download

folderIds
string

The name of the file after download. Since the file is compressed into a ZIP archive, the file name must not contain the extension part

boolean
required

Whether to add watermark to the file

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json